package com.tmerclub.cloud.search.listener;

import com.tmerclub.cloud.search.bo.CueProductBO;
import com.tmerclub.cloud.search.canal.model.CanalBinLogResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * 球杆商品监听器
 *
 * @author: frank
 * @create: 2025-04-19
 **/
@Component
public class CueProductCanalListener extends BaseCanalBinlogEventThrowExceptionProcessor<CueProductBO> {

    private static final Logger log = LoggerFactory.getLogger(CueProductCanalListener.class);

    @Override
    protected void processInsertInternal(CanalBinLogResult<CueProductBO> result) {
        log.error("球杆商品新增:{}", result.getDatabaseName());
    }

    @Override
    protected void processUpdateInternal(CanalBinLogResult<CueProductBO> result) {
        log.error("球杆商品修改:{}", result.getDatabaseName());
    }
}
